<?php
//En este modelo se encuentran todas las consultas realizadas en la tabla de Productosgenerales (Franquicitario)
class Productos_Model extends CI_Model
{
//funcion para  crear el reporte.
	function fetch_data()
{
  
  $this->db->join('tipoproducto','TipoProducto_IdTipoProducto = IdTipoProducto','inner');
  $this->db->join('categoria','Categoria_IdCategoria= IdCategoria','inner');
  $query = $this->db->get("Productosgenerales");
  return $query->result();
}
//funcion que manda a llamar al reporte para su descarga.
    function actiongeneral()
{
  $this->load->model("productos_model");
  $this->load->library("excel");
}
//consulta que hace la busqueda del producto dependiendo del tipo de producto.
  public function BuscarTipo(){
    $query = $this->db-> query('SELECT IdTipoProducto,NombreTipoProducto FROM tipoproducto'); 
    if ($query->num_rows() > 0) { 
    foreach($query->result() as $row) 
    $arrDatos[htmlspecialchars($row->IdTipoProducto, ENT_QUOTES)] = htmlspecialchars($row->NombreTipoProducto, ENT_QUOTES); 
    $query->free_result(); 
    return $arrDatos; }
  } 
   public function buscarportipo($query) {
    $this->db->where('TipoProducto_IdTipoProducto', $query);
     //Valida que se haya hecho la consulta
    $query = $this->db->get('productosfranquicias');
    if ($query->num_rows() > 0){
      return $query;
    }else{
      //  echo "<script>alert('No se encontrarón los datos solicitados');</script>";
      // redirect('reportes/Administrador/RProductos','refresh');
      echo "<script>alert('No se encontrarón los datos solicitados');
                 window.location.href='".base_url()."reportes/Administrador/RProductos';
                 </script>";
    }
}
  
 //consulta que hace la busqueda del producto dependiendo del tipo de categoria.   
  public function BuscarCategoria(){
    $query = $this->db-> query('SELECT IdCategoria,NombreCategoria FROM categoria'); 
    if ($query->num_rows() > 0) { 
    foreach($query->result() as $row) 
    $arrDatos[htmlspecialchars($row->IdCategoria, ENT_QUOTES)] = htmlspecialchars($row->NombreCategoria, ENT_QUOTES); 
    $query->free_result(); 
    return $arrDatos; }
}  

  //Consulta que hace la busqueda de la franquicia dependiendo la zona
    public function buscarporcategoria($query) {
    $this->db->where('Categoria_IdCategoria', $query);
     //Valida que se haya hecho la consulta
    $query = $this->db->get('productosfranquicias');
    if ($query->num_rows() > 0){
      return $query;
    }else{  
      // echo "<script>alert('No se encontrarón los datos solicitados');</script>";
      // redirect('reportes/Administrador/RProductos','refresh');
      echo "<script>alert('No se encontrarón los datos solicitados');
                 window.location.href='".base_url()."reportes/Administrador/RProductos';
                 </script>";
  }
}
// Realiza una consulta a la bd para buscar las franquicias y asi poder generar el reporte de dicha franquicia.
 public function BuscarFranquicia(){
     $this->db->select('*');
     $this->db->from('usuarios');
     $this->db->join('franquicias','Franquicias_IdFranquicias=IdFranquicias','inner');
     $this->db->where('IdUsuarios',$this->session->userdata('IdUsuarios'));
     $query=$this->db->get();
       if ($query->num_rows() > 0) { 
        foreach($query->result() as $row) 
         $arrDatos[htmlspecialchars($row->IdFranquicias, ENT_QUOTES)] = htmlspecialchars($row->NombreFranquicia, ENT_QUOTES); 
            $query->free_result(); 
            return $arrDatos; }
         }
}